# GPL LICENSE SUMMARY
#
#   Copyright(c) 2007,2008,2009 Intel Corporation. All rights reserved.
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of version 2 of the GNU General Public License as
#   published by the Free Software Foundation.
#
#   This program is distributed in the hope that it will be useful, but
#   WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#   General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 51 Franklin St - Fifth Floor, Boston, MA 02110-1301 USA.
#   The full GNU General Public License is included in this distribution
#   in the file called LICENSE.GPL.
#
#   Contact Information:
#   Intel Corporation
#
#  version: Security.L.1.0.1-66
--- crypto/ocf/crypto.c	2009-04-27 11:06:24.000000000 +0100
+++ crypto/ocf/crypto.c	2009-04-27 11:25:45.000000000 +0100
@@ -1572,9 +1572,9 @@ crypto_init(void)
 	spin_lock_init(&crypto_ret_q_lock);
 
 	cryptop_zone = kmem_cache_create("cryptop", sizeof(struct cryptop),
-				       0, SLAB_HWCACHE_ALIGN, NULL, NULL);
+				       0, SLAB_HWCACHE_ALIGN, NULL);
 	cryptodesc_zone = kmem_cache_create("cryptodesc", sizeof(struct cryptodesc),
-				       0, SLAB_HWCACHE_ALIGN, NULL, NULL);
+				       0, SLAB_HWCACHE_ALIGN, NULL);
 	if (cryptodesc_zone == NULL || cryptop_zone == NULL) {
 		printk("crypto: crypto_init cannot setup crypto zones\n");
 		error = ENOMEM;
